
#pragma once

#include <memory>
#include "IProcessor.h"

namespace mdd
{
	class IProcessorGenerator
	{
	public:
		virtual ~IProcessorGenerator() {}

		virtual std::shared_ptr<IProcessor> generate() = 0;
	};
}